<?php

namespace SharzonTest\SharzonTest\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind SharzonTest validator
        \SharzonTest\SharzonTest\Models\SharzonTest::class => \SharzonTest\SharzonTest\Workflow\SharzonTestValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind SharzonTest actions
        \SharzonTest\SharzonTest\Models\SharzonTest::class => \SharzonTest\SharzonTest\Workflow\SharzonTestAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind SharzonTest notifiers
        \SharzonTest\SharzonTest\Models\SharzonTest::class => \SharzonTest\SharzonTest\Workflow\SharzonTestNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
