<?php

namespace SharzonTest\SharzonTest;

use User;

class SharzonTest
{
    /**
     * $sharzon_test object.
     */
    protected $sharzon_test;

    /**
     * Constructor.
     */
    public function __construct(\SharzonTest\SharzonTest\Interfaces\SharzonTestRepositoryInterface $sharzon_test)
    {
        $this->sharzon_test = $sharzon_test;
    }

    /**
     * Returns count of sharzon-test.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.sharzon_test.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->sharzon_test->pushCriteria(new \Litepie\SharzonTest\Repositories\Criteria\SharzonTestUserCriteria());
        }

        $sharzon_test = $this->sharzon_test->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('sharzon-test::' . $view, compact('sharzon_test'))->render();
    }
}
