<?php

namespace SharzonTest\SharzonTest\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use SharzonTest\SharzonTest\Models\SharzonTest;

class SharzonTestAction
{
    /**
     * Perform the complete action.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return SharzonTest
     */
    public function complete(SharzonTest $sharzon_test)
    {
        try {
            $sharzon_test->status = 'complete';
            return $sharzon_test->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return SharzonTest
     */public function verify(SharzonTest $sharzon_test)
    {
        try {
            $sharzon_test->status = 'verify';
            return $sharzon_test->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return SharzonTest
     */public function approve(SharzonTest $sharzon_test)
    {
        try {
            $sharzon_test->status = 'approve';
            return $sharzon_test->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return SharzonTest
     */public function publish(SharzonTest $sharzon_test)
    {
        try {
            $sharzon_test->status = 'publish';
            return $sharzon_test->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return SharzonTest
     */
    public function archive(SharzonTest $sharzon_test)
    {
        try {
            $sharzon_test->status = 'archive';
            return $sharzon_test->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return SharzonTest
     */
    public function unpublish(SharzonTest $sharzon_test)
    {
        try {
            $sharzon_test->status = 'unpublish';
            return $sharzon_test->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
