<?php

namespace SharzonTest\SharzonTest\Workflow;

use SharzonTest\SharzonTest\Models\SharzonTest;
use SharzonTest\SharzonTest\Notifications\SharzonTest as SharzonTestNotifyer;
use Notification;

class SharzonTestNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return void
     */
    public function complete(SharzonTest $sharzon_test)
    {
        return Notification::send($sharzon_test->user, new SharzonTestNotifyer($sharzon_test, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return void
     */
    public function verify(SharzonTest $sharzon_test)
    {
        return Notification::send($sharzon_test->user, new SharzonTestNotifyer($sharzon_test, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return void
     */
    public function approve(SharzonTest $sharzon_test)
    {
        return Notification::send($sharzon_test->user, new SharzonTestNotifyer($sharzon_test, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return void
     */
    public function publish(SharzonTest $sharzon_test)
    {
        return Notification::send($sharzon_test->user, new SharzonTestNotifyer($sharzon_test, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return void
     */
    public function archive(SharzonTest $sharzon_test)
    {
        return Notification::send($sharzon_test->user, new SharzonTestNotifyer($sharzon_test, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param SharzonTest $sharzon_test
     *
     * @return void
     */
    public function unpublish(SharzonTest $sharzon_test)
    {
        return Notification::send($sharzon_test->user, new SharzonTestNotifyer($sharzon_test, 'unpublish'));;

    }
}
